
Redmine - Defect #12692

MS SQL DB migration

2012-12-29 16:45 - Martin Valensky

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Database Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 2.1.4

Description

During DB migration an error shows up: The index 'changesets_repos_rev' is dependent on column 'revision'...

So I have dropped the index on table dbo.changesets, run the migration again and created index after migration is complete.

Problem may be in column type changes during migration.

It affects 2.2.0 but this verison is not in Affected version drop down.

Related issues:

Related to Redmine - Feature #12713: Microsoft SQLServer support Closed

History

#1 - 2013-01-02 09:00 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Wont fix

I'm closing it, MSSQL is not supported.

#2 - 2013-01-04 16:39 - Jean-Philippe Lang

- Resolution changed from Wont fix to Fixed

Fixed in r11097, see #12713.
